// MemberInfoDlg_Gui_LongHex.h : header file
//
#if !defined(_MEMBERINFODLG_GUI_LONGHEX_H_)
#define _MEMBERINFODLG_GUI_LONGHEX_H_

#include "PropertyEditorDlg.h"
#include "CfgEdit.h"

class CXmlMemberGui_Long;

/////////////////////////////////////////////////////////////////////////////
// CMemberInfoDlg_Gui_LongHex dialog

class CMemberInfoDlg_Gui_LongHex : public CPropertyEditorDlg
{
// Construction
public:
	CMemberInfoDlg_Gui_LongHex(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMemberInfoDlg_Gui_LongHex)
	enum { IDD = IDD_MEMBERINFO_GUI_LONG_HEX };
	CCfgEdit	txtBitCount_;
	//}}AFX_DATA

	virtual void SetData(CXmlBaseElement* element);
	virtual void StoreData();
	virtual void OnDataUpdate();

	void OnOK();
	void OnCancel();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMemberInfoDlg_Gui_LongHex)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMemberInfoDlg_Gui_LongHex)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

	void DisplayData();

	CXmlMemberGui_Long* displayInfo_;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_MEMBERINFODLG_GUI_LONGHEX_H_)
